Qt 5.6 | Qt Platform Headers | C++ Classes | QCocoaNativeContext

Qt 5.6.2 Reference Documentation

# QCocoaNativeContext Class

A class encapsulating a Cocoa NSOpenGLContext. More...

Header: | #include <QCocoaNativeContext>
Since: | Qt 5.4

- List of all members, including inherited members

## Public Functions

| QCocoaNativeContext()
| QCocoaNativeContext(NSOpenGLContext *ctx)
NSOpenGLContext * | context() const

## Detailed Description

A class encapsulating a Cocoa NSOpenGLContext.

Note: There is no binary compatibility guarantee for this class, meaning that an application using it is only guaranteed to work with the Qt version it was developed against.

See also QOpenGLContext::setNativeHandle() and QOpenGLContext::nativeHandle().

## Member Function Documentation

### QCocoaNativeContext::QCocoaNativeContext()

Construct a new instance with no handles.

### QCocoaNativeContext::QCocoaNativeContext(NSOpenGLContext *ctx)

Constructs a new instance with the provided ctx handle.

### NSOpenGLContext *QCocoaNativeContext::context() const

Returns the context.